Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class SyslogWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--org.apache.log4j.helpers.SyslogWriter

public class SyslogWriter
extends Writer

SyslogWriter is a wrapper around the java.net.DatagramSocket class so that it behaves like a java.io.Writer.

Since:
  0.7.3

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`SyslogWriter(String syslogHost)` Constructs a new instance of SyslogWriter.

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(String string)`

Methods inherited from class java.io.Writer
`write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyslogWriter

    public SyslogWriter(String syslogHost)

  Constructs a new instance of SyslogWriter.
  Parameters:
    `syslogHost` - host name, may not be null. A port may be specified by following the name or IPv4 literal address with a colon and a decimal port number. To specify a port with an IPv6 address, enclose the IPv6 address in square brackets before appending the colon and decimal port number.

Method Detail

### write

    public void write(char[] buf,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`

### write

    public void write(String string)
               throws IOException

  Overrides:
    `write` in class `Writer`

### flush

    public void flush()

  Overrides:
    `flush` in class `Writer`

### close

    public void close()

  Overrides:
    `close` in class `Writer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2005 Apache Software Foundation.